Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action.internal
Class EntityIncrementVersionProcess

    java.lang.Object
      org.hibernate.action.internal.EntityIncrementVersionProcess

All Implemented Interfaces:
  BeforeTransactionCompletionProcess

    public class EntityIncrementVersionProcess

extends Object
implements BeforeTransactionCompletionProcess

Verify/Increment the entity version

Constructor Summary
`EntityIncrementVersionProcess(Object object, EntityEntry entry)`

Method Summary
`void` | `doBeforeTransactionCompletion(SessionImplementor session)` Perform whatever processing is encapsulated here before completion of the transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityIncrementVersionProcess

    public EntityIncrementVersionProcess(Object object,
                                         EntityEntry entry)

Method Detail

### doBeforeTransactionCompletion

    public void doBeforeTransactionCompletion(SessionImplementor session)

  Perform whatever processing is encapsulated here before completion of the transaction.

  Specified by:
    `doBeforeTransactionCompletion` in interface `BeforeTransactionCompletionProcess`
  Parameters:
    `session` - The session on which the transaction is preparing to complete.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.